#! /bin/bash
#compare 2 directories in Rox
#rev a 220816

#get dir1 from Rox
dir1=$1
echo $1
echo $dir1

#get dir2 from user input
Xdialog --title "Compare Directories" \
        --inputbox "$dir1\n\n Enter directory to compare\n\n You can copy & paste\n or drag & drop " 12 50 2> /tmp/inputbox.tmp.$$

retval=$?
dir2=`cat /tmp/inputbox.tmp.$$`
echo $dir2
rm -f /tmp/inputbox.tmp.$$
#quit if no dir entered
if [[ $dir2 = '' ]]
  then
      exit
fi      

#dir1=/root/my-applications/bin
#dir2=/root/my-applications/bash


#do recursive compare?
Xdialog --title "Recursive Compare" --clear \
        --yesno "Include sub directories?" 10 30

case $? in
  0)
    diff -q $dir1/ $dir2/ | sort > /tmp/compdir.tmp.$$
    rm -f /tmp/compdir.tmp.$$
    echo "Yes chosen.";;
  1)
    diff -q $dir1/ $dir2/ | sort > /tmp/compdir.tmp.$$
    leafpad /tmp/compdir.tmp.$$
    rm -f /tmp/compdir.tmp.$$
    echo "No chosen.";; 
 255)
     exit
     echo "ESC pressed."
    
esac


